#!/bin/bash

my_env="my-python3"

ve_package=virtualenv-16.7.10

if [ ! -d "$ve_package" ] ; then
    echo ""
    echo "Untarring $ve_package"
    echo ""
    tar xvzf "$ve_package.tar.gz"
    echo ""
fi

if [ ! -d "$PWD/$my_env" ] ; then
    # python3 -mvenv "$PWD/$my_env"
    ./$ve_package/virtualenv.py --python=python3 "$my_env"    
else
    echo "" >&2
    echo "!!!!!!!!" >&2
    echo "! VirtualEnv Python3 already exists:" >&2
    echo "!   $PWD/$my_env" >&2
    echo "! => Not doing anything to create a Python virtualenv" >&2
    echo "!!!!!!!!" >&2
fi

echo ""
echo "****"
echo "* To activate this version of python, enter:" 
echo "*   source \"$PWD/$my_env/bin/activate\""
echo "*"
echo "* Once activated, required packages that need to be added to '$my_env' via pip3 ..."
echo "*"
echo "* For 'voting-excel'"
echo "*   pip3 install openpyxl"
echo "* and optionally (for processing .xls legacy files) install"
echo "*   pip3 install xlrd"
echo "*"
echo "* For 'errata-categories'"
echo "*   pip3 install wikipedia beautifulsoup4"
echo "****"

